<template>
    <div class="login">
        <h1>เข้าสู่ระบบ</h1>
        <img src="../assets/login.png" alt="login" width="500px">
        <div class="loginForm">
            <md-field>
                <label>อีเมลล์</label>
                <md-input v-model="email"></md-input>
            </md-field>

            <md-field>
                <label>รหัสผ่าน</label>
                <md-input v-model="password" type="password"></md-input>
            </md-field>
            
            <div style="text-align: right;">
                <a href="/resetpassword">ลืมรหัสผ่าน</a>
            </div>

            <md-button class="md-raised md-primary loginBtn" @click="login">เข้าสู่ระบบ</md-button>

            <div>
                <p class="md-caption">หรือ</p>
            </div>

            <div style="padding: 1.5rem;">
                <img src="../assets/icons/facebook.png" width="30px" alt="facebook" style="margin-right: 1rem;">
                <img src="../assets/icons/google.png" width="32px" alt="gmail">
            </div>

            <div class="md-caption">
                <span>ยังไม่มีบัญชีผู้ใช้ ?</span> <a href="/register">สมัครสมาชิก</a>
            </div>
        </div>
    </div>
</template>

<script>

export default {
    name: 'Login',
    metaInfo: {
        title: 'เข้าสู่ระบบ TaRangRian'
    },
    data() {
        return {
            email: '',
            password: ''
        }
    },
    methods: {
        login() {

        }
    }
}
</script>


<style lang="scss" scoped>
h1 {
    font-size: 2.5rem;
}

.login {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.loginForm {
    width: 350px;
}

.loginBtn {
    width: 100%;
    padding: 0;
    margin: 0;
    margin-top: 1rem;
}
</style>